package com.flyer.foster.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.flyer.foster.dto.AreaRespDTO;
import com.flyer.foster.dto.AreaQueryDTO;
import com.flyer.foster.entity.Area;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 区域 Mapper 接口
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface IAreaMapper extends BaseMapper<Area> {
    /**
     *区域列表-分页
     * @param page
     * @param queryDTO
     * @return
     */
    IPage<AreaRespDTO> getPageList(@Param("page") IPage<AreaRespDTO> page, @Param("queryDTO") AreaQueryDTO queryDTO);

    /**
     * 物理删除
     * @param idList
     * @return
     */
    boolean deleteByIdList(@Param("idList") List<Integer> idList);
}
