package com.flyer.foster.mapper;

import com.flyer.foster.dto.TreeRespDTO;
import com.flyer.foster.entity.Tree;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 树 Mapper 接口
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface ITreeMapper extends BaseMapper<Tree> {

    /**
     * 物理删除
     *
     * @param idList
     * @return
     */
    boolean deleteByIdList(@Param("idList") List<Integer> idList);

    /**
     * 根据gardenId获取详情
     * @param gardenId
     * @return
     */
    List<TreeRespDTO> getTreeById(@Param("gardenId") Integer gardenId);
}
