package com.flyer.foster.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.flyer.foster.dto.AreaAddDTO;
import com.flyer.foster.dto.AreaRespDTO;
import com.flyer.foster.dto.AreaQueryDTO;
import com.flyer.foster.dto.AreaUpdateDTO;
import com.flyer.foster.entity.Area;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 区域 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface IAreaService extends IService<Area> {
    IPage<AreaRespDTO> getPageList(IPage<AreaRespDTO> page, AreaQueryDTO queryDTO);

    /**
     * 新增区域
     * @param addDTOList
     * @return
     */
    boolean addArea(List<AreaAddDTO> addDTOList);

    /**
     * 物理删除
     * @param idList
     * @return
     */
    boolean deleteByIdList(List<Integer> idList);

    /**
     * 修改区域
     * @param updateDTO
     * @return
     */
    boolean updateArea(AreaUpdateDTO updateDTO);
}
